from million.view.bar_chart import plot as bar_chart
from million.analyze.count_participations import count_participations
from million.analyze.retain_counts import retain_counts
from million.parse.fb_exports import FacebookExportParser


DATA_PATH = './data/'

parser = FacebookExportParser()

export = parser.parse(DATA_PATH)

filtered = retain_counts(export.messages)

print(len(filtered))

counted_participations = count_participations(filtered, export.participants)

kept_participations = [
    p for p in counted_participations if p['participations'] > 100]

print("\n".join(
    [f"{p['name']}: {p['participations']}" for p in kept_participations]))
